Passa al contenuto principale

CloudStorageAccess

NFS access to a cloud storage: an IPv4 address allowed to mount the storage of a user

access_idstring | nullnullablerequired

Id of the access, used in its path: the IPv4 address in hostname

cloud_storage_idintegerrequired

Id of the cloud storage (GET /api/v3/cloud-storages/{cloud_storage_id})

hostnamestring | nullnullablerequired

IPv4 address allowed to mount the storage via NFS

usernamestring | nullnullablerequired

Username of the cloud storage user whose storage the address can mount (GET /api/v3/cloud-storages/{cloud_storage_id}/users)

CloudStorageAccess
{
"access_id": "string",
"cloud_storage_id": 0,
"hostname": "string",
"username": "string"
}